<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Go](./bitburner.go.md) &gt; [getMoveHistory](./bitburner.go.getmovehistory.md)

## Go.getMoveHistory() method

Returns all the prior moves in the current game, as an array of simple board states.

For example, a single 5x5 prior move board might look like this:

\[<br/> "XX.O.",<br/> "X..OO",<br/> ".XO..",<br/> "XXO.\#",<br/> ".XO.\#",<br/> \]

**Signature:**

```typescript
getMoveHistory(): string[][];
```
**Returns:**

string\[\]\[\]

